﻿using System;
using Ozeki.VoIP;

namespace _01_SIP_Registration
{
    class Program
    {
        private static Softphone _mySoftphone;   // softphone object

        private static void Main(string[] args)
        {
            Console.WriteLine("This is a simple Ozeki VoIP SIP SDK demo written in C#.");
            Console.WriteLine("It can be used to register to a PBX by using SIP account.");
            Console.WriteLine("-------------------------------------------------------------------------------");
            Console.WriteLine();

            var registrationRequired = true;
            var displayName = "1303";
            var userName = "1303";
            var authenticationId = "1303";
            var registerPassword = "1303";
            var domainHost = "debrecenpbx.ozeki.hu";
            var domainPort = 5060;

            _mySoftphone = new Softphone();
            _mySoftphone.PhoneLineStateChanged += mySoftphone_PhoneLineStateChanged;
            _mySoftphone.Register(registrationRequired, displayName, userName, authenticationId, registerPassword, domainHost, domainPort);

            while (true)
            {
                Console.ReadLine();
            }
        }
        
        static void mySoftphone_PhoneLineStateChanged(object sender, RegistrationStateChangedArgs e)
        {
            if (e.State == RegState.RegistrationSucceeded)
            {
                Console.WriteLine("Registration succeeded - Online!");
            }
            else if (e.State == RegState.NotRegistered)
            {
                Console.WriteLine("Not registered");
            }
            else if (e.State == RegState.Error)
            {
                Console.WriteLine("Registration Error!");
            }
        }
    }
}
